Subject: Building Problems Solvers code

From: [email-masked] (David Whitten)
Date: Thu, 22 Sep 1994 15:17:35 -0700 (PDT)

I have the book 'Building Problem Solvers' by K. Forbus and J. De Kleer.

This book has associated code written in Common Lisp to implement
several different Truth Maintenance Systems.

Has anyone figured out what is necessary to get this code to work with 
any public domain  Common Lisp systems (such as clisp) ?

I am interested in re-writing the code in another language(MUMPS)
and need to make sure I understand it enough to be able to port it
successfully.

Thank you,

David ([email-masked]) (214) 437-5255